package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

/**
 * @Author Joburgess
 * @Date 2021/8/11 0011
 */
public class MusicCompareRankingDto {

    @ApiModelProperty("用户编号")
    private Integer userId;

    @ApiModelProperty("头像")
    private String avatar;

    @ApiModelProperty("学员姓名")
    private String studentName;

    @ApiModelProperty("声部编号")
    private Integer subjectId;

    @ApiModelProperty("声部名称")
    private String subjectName;

    @ApiModelProperty("演奏曲目")
    private String musicScoreName;

    @ApiModelProperty("排名")
    private int rankNum = -1;

    @ApiModelProperty("得分")
    private int score;

    @ApiModelProperty("训练天数")
    private int trainDays = 0;

    @ApiModelProperty("训练时长")
    private int trainTime = 0;

    @ApiModelProperty("训练次数")
    private int trainNum = 0;

    @ApiModelProperty("是否是会员")
    private int vipUser;
    
    @ApiModelProperty("学生总数")
    private int studentNum;

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public int getRankNum() {
        return rankNum;
    }

    public void setRankNum(int rankNum) {
        this.rankNum = rankNum;
    }

    public Integer getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Integer subjectId) {
        this.subjectId = subjectId;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public int getTrainDays() {
        return trainDays;
    }

    public void setTrainDays(int trainDays) {
        this.trainDays = trainDays;
    }

    public String getMusicScoreName() {
        return musicScoreName;
    }

    public void setMusicScoreName(String musicScoreName) {
        this.musicScoreName = musicScoreName;
    }

    public int getTrainTime() {
        return trainTime;
    }

    public void setTrainTime(int trainTime) {
        this.trainTime = trainTime;
    }

    public int getTrainNum() {
        return trainNum;
    }

    public void setTrainNum(int trainNum) {
        this.trainNum = trainNum;
    }

    public int getVipUser() {
        return vipUser;
    }

    public void setVipUser(int vipUser) {
        this.vipUser = vipUser;
    }

    public int getScore() {
        return score;
    }

    public void setScore(int score) {
        this.score = score;
    }

	public int getStudentNum() {
		return studentNum;
	}

	public void setStudentNum(int studentNum) {
		this.studentNum = studentNum;
	}
}
